# Interface SyScrollPaneType

All Superinterfaces:
  `SyActiveReadableType, SyActiveType, SyBoundedReadableType<SySpaceParentRelativeType>, SyBoundedType<SySpaceParentRelativeType>, SyComponentReadableType, SyComponentType, SyEventReceiverType, SyKeyboardFocusableReadableType, SyKeyboardFocusableType, SyMouseFocusAcceptingReadableType, SyMouseFocusAcceptingType, SyScrollPaneReadableType, SySizedReadableType<SySpaceParentRelativeType>, SySizedType<SySpaceParentRelativeType>, SyThemeableReadableType, SyThemeableType, SyVisibleReadableType, SyVisibleType`

public interface SyScrollPaneType extends SyComponentType, SyScrollPaneReadableType

The type of scroll panes.

A scroll pane provides a scrollable viewport into a much larger internal content region.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SyComponentType`
  `contentArea()`
  `SyScrollBarHorizontalType`
  `scrollBarHorizontal()`
  `SyScrollBarVerticalType`
  `scrollBarVertical()`
  `void`
  `setContentAreaSize(com.io7m.jregions.core.parameterized.sizes.PAreaSizeI<SySpaceParentRelativeType> size)`
  Set the fixed size of the internal content region.

  ### Methods inherited from interface SyActiveReadableType

  `isMouseOver`

  ### Methods inherited from interface SyActiveType

  `activity, setActive`

  ### Methods inherited from interface SyBoundedReadableType

  `boundingArea`

  ### Methods inherited from interface SyBoundedType

  `position, setPosition`

  ### Methods inherited from interface SyComponentReadableType

  `ancestorMatchingReadable, childCount, isActive, isVisible, nodeReadable, relativePositionOf, screen, viewportPositionOf, windowReadable`

  ### Methods inherited from interface SyComponentType

  `ancestorMatching, childAdd, childRemove, childrenClear, componentForWindowRelative, layout, node, window`

  ### Methods inherited from interface SyEventReceiverType

  `eventSend`

  ### Methods inherited from interface SyKeyboardFocusableType

  `keyboardFocusBehavior`

  ### Methods inherited from interface SyMouseFocusAcceptingReadableType

  `isMouseQueryAccepting`

  ### Methods inherited from interface SyMouseFocusAcceptingType

  `setMouseQueryAccepting`

  ### Methods inherited from interface SyScrollPaneReadableType

  `contentViewport, onScrollClickDownListener, onScrollClickLeftListener, onScrollClickRightListener, onScrollClickUpListener`

  ### Methods inherited from interface SySizedType

  `setSize, setSizeUpperLimit, size, sizeUpperLimit`

  ### Methods inherited from interface SyThemeableReadableType

  `themeClassesDefaultForComponent, themeClassesExtra, themeClassesInPreferenceOrder`

  ### Methods inherited from interface SyVisibleType

  `setVisible, visibility`

- ## Method Details

  - ### contentArea

    SyComponentType contentArea()
    Specified by:
      `contentArea` in interface `SyScrollPaneReadableType`
    Returns:
      A readable reference to the internal content region

  - ### setContentAreaSize

    void setContentAreaSize(com.io7m.jregions.core.parameterized.sizes.PAreaSizeI<SySpaceParentRelativeType> size)
    Set the fixed size of the internal content region.
    Parameters:
      `size` - The size

  - ### scrollBarHorizontal

    SyScrollBarHorizontalType scrollBarHorizontal()
    Specified by:
      `scrollBarHorizontal` in interface `SyScrollPaneReadableType`
    Returns:
      A readable reference to the horizontal scroll bar

  - ### scrollBarVertical

    SyScrollBarVerticalType scrollBarVertical()
    Specified by:
      `scrollBarVertical` in interface `SyScrollPaneReadableType`
    Returns:
      A readable reference to the vertical scroll bar